%global pypi_name xlsxwriter
%global srcname XlsxWriter

Name:       python-%{pypi_name}
Version:    3.2.0
Release:    %mkrel 2
Summary:    Python module for writing files in the Excel 2007+ XLSX file format
Group:      Development/Python
License:    BSD
URL:        https://github.com/jmcnamara/XlsxWriter
Source:     %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX file format.

XlsxWriter can be used to write text, numbers, formulas and hyperlinks
to multiple worksheets and it supports features such as formatting and
many more.

%package -n python3-%{pypi_name}
Summary:    Python3 module for writing files in the Excel 2007+ XLSX file format
Group:      Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX file format.

XlsxWriter can be used to write text, numbers, formulas and hyperlinks
to multiple worksheets and it supports features such as formatting and
many more.

%prep
%setup -q -n XlsxWriter-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xlsxwriter

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE.txt

%{_bindir}/vba_extract.py


%changelog
* Sun Mar 02 2025 wally <wally> 3.2.0-2.mga10
+ Revision: 2156342
- rebuild for python3.13

* Wed Feb 21 2024 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2042735
- new version: 3.2.0
+ papoteur <papoteur>
- rebuild for python 3.12
- new version 3.1.9

* Wed Sep 07 2022 neoclust <neoclust> 3.0.3-1.mga9
+ Revision: 1885440
- New version  3.0.3

* Wed Mar 23 2022 umeabot <umeabot> 3.0.2-2.mga9
+ Revision: 1822628
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 3.0.2-1.mga9
+ Revision: 1774682
- update to 3.0.2 and python 3.10

* Wed Oct 20 2021 joequant <joequant> 3.0.1-1.mga9
+ Revision: 1752264
- update
- update to 3.0.1

* Sun Jun 20 2021 joequant <joequant> 1.4.3-1.mga9
+ Revision: 1731393
- update to 1.4.3

* Wed Apr 07 2021 wally <wally> 1.3.8-1.mga9
+ Revision: 1714042
- new version 1.3.8

* Fri Mar 19 2021 neoclust <neoclust> 1.3.7-3.mga9
+ Revision: 1704931
- Rebuild against python 3.9

* Tue Nov 03 2020 guillomovitch <guillomovitch> 1.3.7-2.mga8
+ Revision: 1642435
- rebuild for proper automatic dependencies generation
- fix license

* Tue Nov 03 2020 joequant <joequant> 1.3.7-1.mga8
+ Revision: 1641872
- update to 1.3.7
- update to 1.3.7

* Sun Feb 16 2020 umeabot <umeabot> 1.1.7-3.mga8
+ Revision: 1532552
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.1.7-2.mga8
+ Revision: 1442486
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 1.1.7-1.mga7
+ Revision: 1394117
- new version 1.1.7

* Tue Jan 08 2019 tv <tv> 0.9.3-4.mga7
+ Revision: 1351846
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.9.3-3.mga7
+ Revision: 1290580
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.9.3-2.mga7
+ Revision: 1135699
- Rebuild for python 3.6

* Sun Nov 20 2016 joequant <joequant> 0.9.3-1.mga6
+ Revision: 1068415
- imported package python-xlsxwriter

